# ModelingToolkitStandardLibrary: Thermal Components

```@meta
CurrentModule = ModelingToolkitStandardLibrary.Thermal
```

```@contents
Pages = ["thermal.md"]
```

## Index

```@index
Pages = ["thermal.md"]
```

## Thermal Utilities

```@docs
HeatPort
Element1D
```

## Thermal Components

```@docs
BodyRadiation
ConvectiveConductor
ConvectiveResistor
HeatCapacitor
ThermalConductor
ThermalResistor
ThermalCollector
```

## Thermal Sensors

```@docs
RelativeTemperatureSensor
HeatFlowSensor
TemperatureSensor
```

## Thermal Sources

```@docs
FixedHeatFlow
FixedTemperature
PrescribedHeatFlow
PrescribedTemperature  
```
